#ifndef ENTITY_H
#define ENTITY_H

#include <string>

#include <boost/uuid/uuid.hpp>

class Entity
{
  public:
    //Entity();
    //ivirtual ~Entity() = 0;
    const boost::uuids::uuid& getUuid() const { return uuid; };
    void createUuid();
    void createUuidFromString(const std::string& uuidString);

  private:
    boost::uuids::uuid uuid{};
};

#endif // ENTITY_H